Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mangelnde Eingabeprüfung in sudo
Aktuelle Meldungen Distributionen
Name: Mangelnde Eingabeprüfung in sudo
ID: SUSE-SU-2017:1626-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 12-SP2, SUSE Linux Enterprise Software Development Kit 12-SP2, SUSE Linux Enterprise Server 12-SP2, SUSE Linux Enterprise Server for Raspberry Pi 12-SP2, SUSE OpenStack Cloud Magnum Orchestration 7
Datum: Di, 20. Juni 2017, 18:27
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-1000368

Originalnachricht

   SUSE Security Update: Security update for sudo
______________________________________________________________________________

Announcement ID: SUSE-SU-2017:1626-1
Rating: important
References: #1034560 #1042146
Cross-References: CVE-2017-1000368
Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP2
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
SUSE Linux Enterprise Server 12-SP2
SUSE Linux Enterprise Desktop 12-SP2
OpenStack Cloud Magnum Orchestration 7
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update for sudo fixes the following security issue:

- CVE-2017-1000368: A follow-up fix to CVE-2017-1000367, the Linux process
name could also contain a newline, which could be used to trick sudo to
read/write to an arbitrary open terminal. (bsc#1042146)

Also the following non security bug was fixed:

- Link the "system_group" plugin with sudo_util library to resolve
the
missing sudo_dso_findsym symbol (bsc#1034560)


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP2:

zypper in -t patch SUSE-SLE-SDK-12-SP2-2017-1002=1

- SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:

zypper in -t patch SUSE-SLE-RPI-12-SP2-2017-1002=1

- SUSE Linux Enterprise Server 12-SP2:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-2017-1002=1

- SUSE Linux Enterprise Desktop 12-SP2:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2017-1002=1

- OpenStack Cloud Magnum Orchestration 7:

zypper in -t patch
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-1002=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64 ppc64le
s390x x86_64):

sudo-debuginfo-1.8.10p3-10.10.2
sudo-debugsource-1.8.10p3-10.10.2
sudo-devel-1.8.10p3-10.10.2

- SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):

sudo-1.8.10p3-10.10.2
sudo-debuginfo-1.8.10p3-10.10.2
sudo-debugsource-1.8.10p3-10.10.2

- SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le x86_64):

sudo-1.8.10p3-10.10.2
sudo-debuginfo-1.8.10p3-10.10.2
sudo-debugsource-1.8.10p3-10.10.2

- SUSE Linux Enterprise Desktop 12-SP2 (x86_64):

sudo-1.8.10p3-10.10.2
sudo-debuginfo-1.8.10p3-10.10.2
sudo-debugsource-1.8.10p3-10.10.2

- OpenStack Cloud Magnum Orchestration 7 (x86_64):

sudo-1.8.10p3-10.10.2
sudo-debuginfo-1.8.10p3-10.10.2
sudo-debugsource-1.8.10p3-10.10.2


References:

https://www.suse.com/security/cve/CVE-2017-1000368.html
https://bugzilla.suse.com/1034560
https://bugzilla.suse.com/1042146

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung